Subject: bug#25203: 25.1; crash during message, infinite recursion

From: Hin-Tak Leung <[email-masked]>
Date: Fri, 16 Dec 2016 14:34:53 +0000 (UTC)

--------------------------------------------
On Fri, 16/12/16, Werner LEMBERG <[email-masked]> wrote:
 
> Well, `cjk-coding' worked flawlessly for
 years.  So it's not *that*
 obvious. 
 In other words, there are rather recent changes w.r.t. to
 `message' that make the once working code
 crash.

The relevant change in emacs 25 is this:
http://git.savannah.gnu.org/cgit/emacs.git/commit/?id=c63246628461f748d66a8a07ba008de2e00fd33a
'Obey coding-system-for-write when writing stdout/stderr in batch'

and part of the recent breakage is that, there is already a `message' before the two new ones I tried to add.
There is another recursion somewhere else related specifically to big5 input which I have
not pinned point yet, but I'll just continue in the cjk list.